%define _datadir /opt/gnome/share

Summary:	Graphical package management program using apt
Name:		synaptic
Version:	0.53
Release:	1
License:	GPL
Group:		System/Packages
Packager:	Richard Bos <rbos@users.sourceforge.net>
Source:	http://savannah.nongnu.org/download/synaptic/synaptic.pkg/%{version}/%{name}-%{version}.tar.gz
Source1:	synaptic.desktop
# Patch1:		synaptic-patch.1
# Patch2:		synaptic-patch.2
URL:		http://www.nongnu.org/synaptic/
Requires:	apt >= 0.5.15, gtk2, libglade2
Requires:	libstdc++ libzvt2 libart_lgpl
Requires:	scrollkeeper
BuildRequires:	apt-devel >= 0.5.15 rpm-devel >= 4.1 gtk2-devel libglade2-devel
BuildRequires:	libstdc++-devel libxml2-devel libglade2-devel libart_lgpl-devel
BuildRequires:	atk-devel, pango-devel, glib2-devel pkgconfig libzvt2-devel
BuildRequires:	XFree86-devel docbook-toys scrollkeeper
BuildRoot:	%{_tmppath}/making_of_%{name}-%{version}

%description
Synaptic is a graphical package management program for apt.
It provides the same features as the apt-get command line 
utility with a GUI front-end based on Gtk+

%prep
# %setup -n %{name}-0.50
%setup
# %patch1 -p1
# %patch2 -p1

%build
install -m 644 %{SOURCE1} data/%{name}.desktop
%if "%{_arch}" == "x86_64"
export CFLAGS="-02 -fPIC"
export LDFLAGS="-L/usr/lib64"
CXXFLAGS="-I/usr/include/g++/x86_64-suse-linux"
%else
CXXFLAGS="-I/usr/include/g++/i586-suse-linux" 
CFLAGS=-02
%endif
./configure	\
  --with-pkg-hold	\
  --with-zvt 		\
  --prefix=%{_prefix}	\
  --mandir=%{_mandir}	\
  --datadir=%{_datadir}	\
  --libdir=%{_libdir}	\
  --includedir=%{_includedir} \
  --sysconfdir=%{_sysconfdir} \
  --enable-docdir=%{_defaultdocdir} 
make

%install
make DESTDIR=%{buildroot} install
install -d -m 755 %{buildroot}/opt/kde3/share/applnk/System/More
install -m 644 data/%{name}.desktop %{buildroot}/opt/kde3/share/applnk/System/More
# locales must be located in /usr/share otherwise synaptic does not pick them up
mv %{buildroot}%{_datadir}/locale %{buildroot}%{_prefix}/share
rm -f %{buildroot}/etc/X11/sysconfig/synaptic.desktop

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT

%post
scrollkeeper-update -q

%postun
scrollkeeper-update -q

%files
%defattr(-, root, root)
%doc AUTHORS ChangeLog COPYING NEWS README TODO
%{_sbindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/omf/%{name}
%{_datadir}/gnome/help/%{name}
%{_mandir}/man8/%{name}.8*
/usr/share/locale/*/LC_MESSAGES/%{name}.mo
/opt/gnome/share/applications/%{name}.desktop
/opt/kde3/share/applnk/System/More/%{name}.desktop
/opt/gnome/share/pixmaps/

%changelog
* Wed Aug 18 2004 Richard Bos <rbos@users.sourceforge.net>
- Update to version 0.53

* Tue Nov 18 2003 Richard Bos <rbos@users.sourceforge.net>
- Use /opt/gnome as for datadir
  However move the locate directory to /usr/share/
* Sat Jun 21 2003 Richard Bos <rbos@users.sourceforge.net>
- Updated to release 0.38
- Added CFLAGS=-O2 to prevent debug code to be added to the end product
  (per default -g is added to gcc) 

* Wed Jun 18 2003 Richard Bos <rbos@users.sourceforge.net>
- Updated to release 0.37

* Tue Jun 15 2003 Richard Bos <rbos@users.sourceforge.net>
- Initial release, version 0.36.1

